org.apache.calcite.avatica.util

## Class AbstractCursor.TimeAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.ObjectAccessor
    - - org.apache.calcite.avatica.util.AbstractCursor.TimeAccessor

All Implemented Interfaces:
  Cursor.Accessor

Enclosing class:
  AbstractCursor

    private static class AbstractCursor.TimeAccessor
    extends AbstractCursor.ObjectAccessor

Accessor that assumes that the underlying value is a TIME, represented as a java.sql.Time; corresponds to `Types.TIME`.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCursor.TimeAccessor(AbstractCursor.Getter getter)`

### Method Summary

Methods
`long` `getLong()`
`String` `getString()`
`Time` `getTime(Calendar calendar)`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getDouble, getFloat, getInt, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getShort, getSQLXML, getStruct, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCursor.TimeAccessor

    public AbstractCursor.TimeAccessor(AbstractCursor.Getter getter)

### Method Detail

#### getTime

    public Time getTime(Calendar calendar)
                 throws SQLException

Specified by:
  `getTime` in interface `Cursor.Accessor`
Overrides:
  `getTime` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`

#### getString

    public String getString()
                     throws SQLException

Specified by:
  `getString` in interface `Cursor.Accessor`
Overrides:
  `getString` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`

#### getLong

    public long getLong()
                 throws SQLException

Specified by:
  `getLong` in interface `Cursor.Accessor`
Overrides:
  `getLong` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`